> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Purchase Order: Rent Manager

PUT https://api.propexo.com/v1/purchase-orders/rentmanager/{purchase_order_id}
Content-Type: application/json

Update Purchase Order: Rent Manager

| Method |
|---|
| POST /PurchaseOrders |

Reference: https://docs.propexo.com/api-reference/rent-manager/purchase-orders/update-purchase-order-rent-manager

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `purchase_order_id` (string, required) — The Propexo unique identifier for the purchase order

### Body (application/json)

This endpoint expects a _v1_purchase-orders_rentmanager_{purchase_order_id}_put_input.

- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `employee_id` (string, required) — The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
- `description` (string, required) — Description of the purchase order
- `number` (string, required) — The number of the purchase order
- `order_date` (V1PurchaseOrdersRentmanagerPurchaseOrderIdPutInputOrderDate, required) — The order date for the purchase order
- `purchase_order_items` (list of V1PurchaseOrdersRentmanagerPurchaseOrderIdPutInputPurchaseOrderItemsItems, required) — Existing purchase order line items to update in Rent Manager.
- `shipping_address_1` (string, optional) — The first address line associated with the shipping address for the purchase order
- `billing_address_1` (string, optional) — The first address line associated with the billing address for the purchase order

## Response

### 200

Successful response

- `meta` (V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputMeta, required)
- `result` (V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1PurchaseOrdersRentmanagerPurchaseOrderIdPutInputOrderDate

The order date for the purchase order

### V1PurchaseOrdersRentmanagerPurchaseOrderIdPutInputPurchaseOrderItemsItems

- `purchase_order_item_id` (string, required) — The Propexo unique identifier for the purchase order item
- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `quantity_ordered` (double, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the purchase order item
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `construction_job_id` (string, optional) — The Propexo unique identifier for the construction job
- `inventory_item_id` (string, optional) — The Propexo unique identifier for the inventory item. Omit to keep the inventory item currently assigned to this line item in Rent Manager

### V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputMeta

- `job_id` (string, required)

### V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputResult

- `purchase_order_id` (string, required) — The Propexo unique identifier for the purchase order
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `employee_id` (string, required) — The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
- `description` (string, required) — Description of the purchase order
- `number` (string, required) — The number of the purchase order
- `order_date` (V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputResultOrderDate, required) — The order date for the purchase order
- `purchase_order_items` (list of V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputResultPurchaseOrderItemsItems, required)
- `shipping_address_1` (string, optional) — The first address line associated with the shipping address for the purchase order
- `billing_address_1` (string, optional) — The first address line associated with the billing address for the purchase order

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputResultOrderDate

The order date for the purchase order

### V1PurchaseOrdersRentmanagerPurchaseOrderIdPutOutputResultPurchaseOrderItemsItems

- `purchase_order_item_id` (string, required) — The Propexo unique identifier for the purchase order item
- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `quantity_ordered` (double, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the purchase order item
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `construction_job_id` (string, optional) — The Propexo unique identifier for the construction job
- `inventory_item_id` (string, optional) — The Propexo unique identifier for the inventory item. Omit to keep the inventory item currently assigned to this line item in Rent Manager

## Examples

**Request**

```json
{
  "vendor_id": "string",
  "employee_id": "string",
  "description": "string",
  "number": "string",
  "order_date": "2024-01-15T09:30:00Z",
  "purchase_order_items": [
    {
      "purchase_order_item_id": "string",
      "property_id": "string",
      "description": "string",
      "quantity_ordered": 1.1,
      "unit_price_in_cents": 1,
      "total_cost_in_cents": 1
    }
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "string"
  },
  "result": {
    "purchase_order_id": "string",
    "vendor_id": "string",
    "employee_id": "string",
    "description": "string",
    "number": "string",
    "order_date": "2024-01-15T09:30:00Z",
    "purchase_order_items": [
      {
        "purchase_order_item_id": "string",
        "property_id": "string",
        "description": "string",
        "quantity_ordered": 1.1,
        "unit_price_in_cents": 1,
        "total_cost_in_cents": 1,
        "unit_id": "string",
        "construction_job_id": "string",
        "inventory_item_id": "string"
      }
    ],
    "shipping_address_1": "string",
    "billing_address_1": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id"

payload = {
    "vendor_id": "string",
    "employee_id": "string",
    "description": "string",
    "number": "string",
    "order_date": "2024-01-15T09:30:00Z",
    "purchase_order_items": [
        {
            "purchase_order_item_id": "string",
            "property_id": "string",
            "description": "string",
            "quantity_ordered": 1.1,
            "unit_price_in_cents": 1,
            "total_cost_in_cents": 1
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"vendor_id":"string","employee_id":"string","description":"string","number":"string","order_date":"2024-01-15T09:30:00Z","purchase_order_items":[{"purchase_order_item_id":"string","property_id":"string","description":"string","quantity_ordered":1.1,"unit_price_in_cents":1,"total_cost_in_cents":1}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id"

	payload := strings.NewReader("{\n  \"vendor_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"description\": \"string\",\n  \"number\": \"string\",\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"purchase_order_items\": [\n    {\n      \"purchase_order_item_id\": \"string\",\n      \"property_id\": \"string\",\n      \"description\": \"string\",\n      \"quantity_ordered\": 1.1,\n      \"unit_price_in_cents\": 1,\n      \"total_cost_in_cents\": 1\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"vendor_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"description\": \"string\",\n  \"number\": \"string\",\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"purchase_order_items\": [\n    {\n      \"purchase_order_item_id\": \"string\",\n      \"property_id\": \"string\",\n      \"description\": \"string\",\n      \"quantity_ordered\": 1.1,\n      \"unit_price_in_cents\": 1,\n      \"total_cost_in_cents\": 1\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"vendor_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"description\": \"string\",\n  \"number\": \"string\",\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"purchase_order_items\": [\n    {\n      \"purchase_order_item_id\": \"string\",\n      \"property_id\": \"string\",\n      \"description\": \"string\",\n      \"quantity_ordered\": 1.1,\n      \"unit_price_in_cents\": 1,\n      \"total_cost_in_cents\": 1\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id', [
  'body' => '{
  "vendor_id": "string",
  "employee_id": "string",
  "description": "string",
  "number": "string",
  "order_date": "2024-01-15T09:30:00Z",
  "purchase_order_items": [
    {
      "purchase_order_item_id": "string",
      "property_id": "string",
      "description": "string",
      "quantity_ordered": 1.1,
      "unit_price_in_cents": 1,
      "total_cost_in_cents": 1
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"vendor_id\": \"string\",\n  \"employee_id\": \"string\",\n  \"description\": \"string\",\n  \"number\": \"string\",\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"purchase_order_items\": [\n    {\n      \"purchase_order_item_id\": \"string\",\n      \"property_id\": \"string\",\n      \"description\": \"string\",\n      \"quantity_ordered\": 1.1,\n      \"unit_price_in_cents\": 1,\n      \"total_cost_in_cents\": 1\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "vendor_id": "string",
  "employee_id": "string",
  "description": "string",
  "number": "string",
  "order_date": "2024-01-15T09:30:00Z",
  "purchase_order_items": [
    [
      "purchase_order_item_id": "string",
      "property_id": "string",
      "description": "string",
      "quantity_ordered": 1.1,
      "unit_price_in_cents": 1,
      "total_cost_in_cents": 1
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/purchase-orders/rentmanager/purchase_order_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```